# ColAsset.GeographicLocation (JavaFX 3D Model Importers)
Date: 2014-02-09

com.interactivemesh.jfx.importer.col

## Class ColAsset.GeographicLocation

- java.lang.Object
- - com.interactivemesh.jfx.importer.col.ColAsset.GeographicLocation

Enclosing class:
  ColAsset

    public static final class ColAsset.GeographicLocation
    extends java.lang.Object

A GeographicLocation object provides geographic location information.

Since COLLADA version 1.5.0.

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getAltitude()` Gets the altitude value in meters.
`java.lang.String` `getAltitudeMode()` Gets the mode of the altitude value.
`float` `getLatitude()` Gets the latitude value in degrees.
`float` `getLongitude()` Gets the longitude value in degrees.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLongitude

    public float getLongitude()

Gets the longitude value in degrees. The value ranges from -180.0 to 180.0.

Returns:
  longitude value

#### getLatitude

    public float getLatitude()

Gets the latitude value in degrees. The value ranges from -90.0 to 90.0.

Returns:
  latitude value

#### getAltitude

    public float getAltitude()

Gets the altitude value in meters.

Returns:
  altitude value

#### getAltitudeMode

    public java.lang.String getAltitudeMode()

Gets the mode of the altitude value. The default mode "relativeToGround" specifies that the value is the distance from the altitude of the terrain at the latitude/longitude point. The mode "absolut" specifies that the value is the distance from sea level.

Returns:
  "relativeToGround" or "absolut"

Copyright (C) 2013-2014 InteractiveMesh e.K.